Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetSubcommPairs

Gets the `i`-th eigenpair stored internally in the subcommunicator to which the calling process belongs.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubcommPairs(EPS eps,PetscInt i,PetscScalar *eig,Vec v)

Collective on the subcommunicator (if `v` is given)

## Input Parameters

- eps - the linear eigensolver context

- i - index of the solution

## Output Parameters

- eig - the eigenvalue

- v - the eigenvector

## Notes

This function is only available for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. And is relevant only when the number of partitions (`EPSKrylovSchurSetPartitions()`) is larger than one. See more details in section Spectrum Slicing.

It is allowed to pass `NULL` for `v` if the eigenvector is not required. Otherwise, the caller must provide a valid `Vec` object, i.e., it must be created by the calling program with `EPSKrylovSchurGetSubcommInfo()`.

The index `i` should be a value between 0 and `n`-1, where `n` is the number of vectors in the local subinterval, see `EPSKrylovSchurGetSubcommInfo()`.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSSetInterval()`, `EPSKrylovSchurSetPartitions()`, `EPSKrylovSchurGetSubcommInfo()`, `EPSKrylovSchurGetSubcommMats()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetSubcommPairs_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages